Name:           fusa-gcc-plugin
Version:        0.3.1
Release:        0.202505270650.git8fd3770%{?dist}
Summary:        Conditions of Use Diagnostics

License:        LGPL-2.1-or-later
URL:            https://gitlab.com/CentOS/automotive/src/fusa-gcc-plugin
Source0:        fusa-gcc-plugin-0.3.1.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gcc-plugin-devel
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  json-c-devel
BuildRequires:  python3-devel
BuildRequires:  python3-wheel
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-tomli

Requires:       gcc

%description
Conditions of Use Diagnostics

%files
%license LICENSE
%doc README.md
%{_libdir}/fusa.so
%dir /etc/fusa-gcc-plugin

# Subpackage: fusa-gcc-plugin-generator
%package generator
Summary: Synthesizer for valid-apis.json
Requires: %{name} = %{version}-%{release}

%description generator
Synthesizer for valid-apis.json

%files generator
%license LICENSE
%doc generator/README.md
%{python3_sitelib}/fusa_gcc_plugin_generator
%{python3_sitelib}/fusa_gcc_plugin_generator-%{version}.dist-info
%{_bindir}/fusa-gcc-plugin-generator

%prep
%autosetup -n fusa-gcc-plugin-0.3.1

%build
make
pushd generator
%pyproject_wheel
popd

%install
%make_install
pushd generator
%pyproject_install
popd
mkdir -p %{buildroot}/etc/fusa-gcc-plugin


%changelog
* Tue Jan 28 2025 Mark Kemel <mkemel@redhat.com>
- Initial version
